---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::TabRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1TabRenderer.html">TabRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1TabRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::TabRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::TabRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1TabRenderer.png" usemap="#tgui::TabRenderer_map" alt=""/>
  <map id="tgui::TabRenderer_map" name="tgui::TabRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,129,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="139,0,268,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2588dd7a15f6cf228b85b81fa2038741"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#a2588dd7a15f6cf228b85b81fa2038741">TabRenderer</a> (<a class="el" href="classtgui_1_1Tab.html">Tab</a> *tab)</td></tr>
<tr class="memdesc:a2588dd7a15f6cf228b85b81fa2038741"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2588dd7a15f6cf228b85b81fa2038741">More...</a><br /></td></tr>
<tr class="separator:a2588dd7a15f6cf228b85b81fa2038741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a905e5b836e3027e86cd23aab07999615"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#a905e5b836e3027e86cd23aab07999615">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a905e5b836e3027e86cd23aab07999615"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a905e5b836e3027e86cd23aab07999615">More...</a><br /></td></tr>
<tr class="separator:a905e5b836e3027e86cd23aab07999615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb8bcbe8c78ec17267856ff1e7bd6e09"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#acb8bcbe8c78ec17267856ff1e7bd6e09">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:acb8bcbe8c78ec17267856ff1e7bd6e09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#acb8bcbe8c78ec17267856ff1e7bd6e09">More...</a><br /></td></tr>
<tr class="separator:acb8bcbe8c78ec17267856ff1e7bd6e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70f8416eabdac7dac74ed64a17f5623"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#aa70f8416eabdac7dac74ed64a17f5623">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:aa70f8416eabdac7dac74ed64a17f5623"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#aa70f8416eabdac7dac74ed64a17f5623">More...</a><br /></td></tr>
<tr class="separator:aa70f8416eabdac7dac74ed64a17f5623"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3f414e2b43e4d2841663ab8d4f32cb0"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#ae3f414e2b43e4d2841663ab8d4f32cb0">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:ae3f414e2b43e4d2841663ab8d4f32cb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#ae3f414e2b43e4d2841663ab8d4f32cb0">More...</a><br /></td></tr>
<tr class="separator:ae3f414e2b43e4d2841663ab8d4f32cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af88c493f82e4449fae961766b215e5ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#af88c493f82e4449fae961766b215e5ed">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:af88c493f82e4449fae961766b215e5ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color that will be used inside the tabs.  <a href="#af88c493f82e4449fae961766b215e5ed">More...</a><br /></td></tr>
<tr class="separator:af88c493f82e4449fae961766b215e5ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40e00e06cac3a5d2c8ff944d7a676a02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#a40e00e06cac3a5d2c8ff944d7a676a02">setSelectedTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a40e00e06cac3a5d2c8ff944d7a676a02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color that will be used for the selected tab.  <a href="#a40e00e06cac3a5d2c8ff944d7a676a02">More...</a><br /></td></tr>
<tr class="separator:a40e00e06cac3a5d2c8ff944d7a676a02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35d9874df676e47f1c095d56a1fb462"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#ad35d9874df676e47f1c095d56a1fb462">setDistanceToSide</a> (float distanceToSide)</td></tr>
<tr class="memdesc:ad35d9874df676e47f1c095d56a1fb462"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the distance between the text and the side of the tab.  <a href="#ad35d9874df676e47f1c095d56a1fb462">More...</a><br /></td></tr>
<tr class="separator:ad35d9874df676e47f1c095d56a1fb462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac74f0d51b7cabf4f3d6182e0dd0445e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#ac74f0d51b7cabf4f3d6182e0dd0445e4">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ac74f0d51b7cabf4f3d6182e0dd0445e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the tabs.  <a href="#ac74f0d51b7cabf4f3d6182e0dd0445e4">More...</a><br /></td></tr>
<tr class="separator:ac74f0d51b7cabf4f3d6182e0dd0445e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab09b760fc809e4f978b3eb82b2855ad7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#ab09b760fc809e4f978b3eb82b2855ad7">setSelectedBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ab09b760fc809e4f978b3eb82b2855ad7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the selected tab.  <a href="#ab09b760fc809e4f978b3eb82b2855ad7">More...</a><br /></td></tr>
<tr class="separator:ab09b760fc809e4f978b3eb82b2855ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a7986ba6e503768648023862fcef35a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#a6a7986ba6e503768648023862fcef35a">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a6a7986ba6e503768648023862fcef35a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color of the borders.  <a href="#a6a7986ba6e503768648023862fcef35a">More...</a><br /></td></tr>
<tr class="separator:a6a7986ba6e503768648023862fcef35a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6811e35bc2fdd156e5c5856a6284faeb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#a6811e35bc2fdd156e5c5856a6284faeb">setNormalTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a6811e35bc2fdd156e5c5856a6284faeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the tab is not selected.  <a href="#a6811e35bc2fdd156e5c5856a6284faeb">More...</a><br /></td></tr>
<tr class="separator:a6811e35bc2fdd156e5c5856a6284faeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41263b1c0dd006e1aa3522d20f9999f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1TabRenderer.html#a41263b1c0dd006e1aa3522d20f9999f2">setSelectedTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a41263b1c0dd006e1aa3522d20f9999f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the tab is selected.  <a href="#a41263b1c0dd006e1aa3522d20f9999f2">More...</a><br /></td></tr>
<tr class="separator:a41263b1c0dd006e1aa3522d20f9999f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2588dd7a15f6cf228b85b81fa2038741"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::TabRenderer::TabRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Tab.html">Tab</a> *&#160;</td>
          <td class="paramname"><em>tab</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tab</td><td>The tab that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aa70f8416eabdac7dac74ed64a17f5623"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::TabRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ae3f414e2b43e4d2841663ab8d4f32cb0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::TabRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ac74f0d51b7cabf4f3d6182e0dd0445e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new background color.</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a normal and selected image were set. </p>

</div>
</div>
<a class="anchor" id="a6a7986ba6e503768648023862fcef35a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color of the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new border color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad35d9874df676e47f1c095d56a1fb462"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setDistanceToSide </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>distanceToSide</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the distance between the text and the side of the tab. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">distanceToSide</td><td>distance between the text and the side of the tab </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6811e35bc2fdd156e5c5856a6284faeb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setNormalTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the tab is not selected. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New normal tab texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the selected image are set, the background color properties will be ignored. Pass an empty string to unset the image, in this case the background color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="a905e5b836e3027e86cd23aab07999615"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::TabRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="acb8bcbe8c78ec17267856ff1e7bd6e09"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::TabRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ab09b760fc809e4f978b3eb82b2855ad7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setSelectedBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the selected tab. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new background color.</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a normal and selected image were set. </p>

</div>
</div>
<a class="anchor" id="a40e00e06cac3a5d2c8ff944d7a676a02"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setSelectedTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color that will be used for the selected tab. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new text color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a41263b1c0dd006e1aa3522d20f9999f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setSelectedTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the tab is selected. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New selected tab texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the normal image are set, the background color properties will be ignored. Pass an empty string to unset the image, in this case the background color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="af88c493f82e4449fae961766b215e5ed"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::TabRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color that will be used inside the tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new text color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Tab_8hpp_source.html">Tab.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
